Jdk14Logger (Avalon Framework API)
Keywords: org.apache.avalon.framework.logger.Jdk14Logger class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.logger
Class Jdk14Logger

    java.lang.Object
      org.apache.avalon.framework.logger.Jdk14Logger

All Implemented Interfaces:
  Logger

public final class Jdk14Logger
extends java.lang.Object
implements Logger

The default JDK 1.4 wrapper class for Logger. Please note that there is not an exact match to the priority levels that JDK 1.4 logging has and what LogKit or Log4J has. For that reason, the following priority level matching was used:

- SEVERE = error, fatalError
- WARNING = warn
- INFO = info
- FINE = debug

JDK 1.4 does allow you to have other levels like: CONFIG, FINER, and FINEST. Most projects don't separate out configuration logging from debugging information. Also, we wanted to maintain backwards compatibility as much as possible. Unfortunately, with all the "fineness" details, there is no equivalent to the "error" log level.

Version:
  CVS $Revision: 1.18 $ $Date: 2004/02/11 14:34:26 $
Author:
  Avalon Development Team

Constructor Summary
`Jdk14Logger(java.util.logging.Logger logImpl)` Construct a Logger with specified jdk1.4 logger instance as implementation.

Method Summary
`void` | `debug(java.lang.String message)` Log a debug message.
`void` | `debug(java.lang.String message, java.lang.Throwable throwable)` Log a debug message.
`void` | `error(java.lang.String message)` Log a error message.
`void` | `error(java.lang.String message, java.lang.Throwable throwable)` Log a error message.
`void` | `fatalError(java.lang.String message)` Log a fatalError message.
`void` | `fatalError(java.lang.String message, java.lang.Throwable throwable)` Log a fatalError message.
`Logger` | `getChildLogger(java.lang.String name)` Create a new child logger.
`void` | `info(java.lang.String message)` Log a info message.
`void` | `info(java.lang.String message, java.lang.Throwable throwable)` Log a info message.
`boolean` | `isDebugEnabled()` Determine if messages of priority "debug" will be logged.
`boolean` | `isErrorEnabled()` Determine if messages of priority "error" will be logged.
`boolean` | `isFatalErrorEnabled()` Determine if messages of priority "fatalError" will be logged.
`boolean` | `isInfoEnabled()` Determine if messages of priority "info" will be logged.
`boolean` | `isWarnEnabled()` Determine if messages of priority "warn" will be logged.
`void` | `warn(java.lang.String message)` Log a warn message.
`void` | `warn(java.lang.String message, java.lang.Throwable throwable)` Log a warn message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jdk14Logger

    public Jdk14Logger(java.util.logging.Logger logImpl)

  Construct a Logger with specified jdk1.4 logger instance as implementation.

Parameters:
  `logImpl` - the jdk1.4 logger instance to delegate to

Method Detail

### debug

    public final void debug(java.lang.String message)

  Log a debug message.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `message` - the message

### debug

    public final void debug(java.lang.String message,
                            java.lang.Throwable throwable)

  Log a debug message.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `message` - the message
    `throwable` - the throwable

### isDebugEnabled

    public final boolean isDebugEnabled()

  Determine if messages of priority "debug" will be logged.

  Specified by:
    `isDebugEnabled` in interface `Logger`
  Returns:
    true if "debug" messages will be logged

### info

    public final void info(java.lang.String message)

  Log a info message.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `message` - the message

### info

    public final void info(java.lang.String message,
                           java.lang.Throwable throwable)

  Log a info message.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `message` - the message
    `throwable` - the throwable

### isInfoEnabled

    public final boolean isInfoEnabled()

  Determine if messages of priority "info" will be logged.

  Specified by:
    `isInfoEnabled` in interface `Logger`
  Returns:
    true if "info" messages will be logged

### warn

    public final void warn(java.lang.String message)

  Log a warn message.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `message` - the message

### warn

    public final void warn(java.lang.String message,
                           java.lang.Throwable throwable)

  Log a warn message.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `message` - the message
    `throwable` - the throwable

### isWarnEnabled

    public final boolean isWarnEnabled()

  Determine if messages of priority "warn" will be logged.

  Specified by:
    `isWarnEnabled` in interface `Logger`
  Returns:
    true if "warn" messages will be logged

### error

    public final void error(java.lang.String message)

  Log a error message.

  Specified by:
    `error` in interface `Logger`
  Parameters:
    `message` - the message

### error

    public final void error(java.lang.String message,
                            java.lang.Throwable throwable)

  Log a error message.

  Specified by:
    `error` in interface `Logger`
  Parameters:
    `message` - the message
    `throwable` - the throwable

### isErrorEnabled

    public final boolean isErrorEnabled()

  Determine if messages of priority "error" will be logged.

  Specified by:
    `isErrorEnabled` in interface `Logger`
  Returns:
    true if "error" messages will be logged

### fatalError

    public final void fatalError(java.lang.String message)

  Log a fatalError message.

  Specified by:
    `fatalError` in interface `Logger`
  Parameters:
    `message` - the message

### fatalError

    public final void fatalError(java.lang.String message,
                                 java.lang.Throwable throwable)

  Log a fatalError message.

  Specified by:
    `fatalError` in interface `Logger`
  Parameters:
    `message` - the message
    `throwable` - the throwable

### isFatalErrorEnabled

    public final boolean isFatalErrorEnabled()

  Determine if messages of priority "fatalError" will be logged.

  Specified by:
    `isFatalErrorEnabled` in interface `Logger`
  Returns:
    true if "fatalError" messages will be logged

### getChildLogger

    public final Logger getChildLogger(java.lang.String name)

  Create a new child logger. The name of the child logger is [current-loggers-name].[passed-in-name] Throws `IllegalArgumentException` if name has an empty element name

  Specified by:
    `getChildLogger` in interface `Logger`
  Parameters:
    `name` - the subname of this logger
  Returns:
    the new logger

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © The Apache Software Foundation. All Rights Reserved.